<?xml version="1.0"?>
<configuration>
	<connectionStrings>
  <add name="SevenFrontSunConnectionString" connectionString="Data Source=SUNLETH;Initial Catalog=FrontDesk;User ID=devel;Password=dev7" providerName="System.Data.SqlClient" />
  <add name="SevenFrontValConnectionString" connectionString="Data Source=VALKYRIE;Initial Catalog=FrontDesk;User ID=devel;Password=dev7" providerName="System.Data.SqlClient" />
  <add name="SevenFrontConnectionString" connectionString="Data Source=127.0.0.1;Initial Catalog=FrontDesk;User ID=devel;Password=dev7" providerName="System.Data.SqlClient" />
  <add name="InnFrontConnectionString" connectionString="Data Source=MIDGAR;Initial Catalog=InnFront;User ID=devel;Password=dev7" providerName="System.Data.SqlClient" />
  <add name="InnFrontConnectionString1" connectionString="Data Source=SUNLETH;Initial Catalog=InnFront;Persist Security Info=True;User ID=devel;Password=dev7" providerName="System.Data.SqlClient" />
  <add name="InnFront_AudConnectionString" connectionString="Data Source=MIDGAR;Initial Catalog=InnFront_Aud;Persist Security Info=True;User ID=devel;Password=dev7" providerName="System.Data.SqlClient" />
  <add name="InnFront_AudConnectionString1" connectionString="Data Source=SUNLETH;Initial Catalog=InnFront_Aud;Persist Security Info=True;User ID=devel;Password=dev7" providerName="System.Data.SqlClient" />
 </connectionStrings>
	<appSettings>

    <!--Configuracion de Archivo de Eventos-->
    <add key="kbyteslog" value="1024" />
    <add key="log_patch" value="C:\WAppLog\SevenFrontDesk.log" />
    <add key="log_file_name" value="SevenFrontDesk.log" />
    <add key="backup_patch" value="C:\WAppLog\Backup" />
    <add key="EnableTrace" value="true" />
    <!--Idioma Predeterminado-->
    <add key="DefaultLang" value="es-NI" />
    
	</appSettings>
	<system.web>
    <!-- Habilitar consultas largas 01 -->
    <httpRuntime maxUrlLength="100999" maxQueryStringLength="2097151" executionTimeout="2000" />
		<!-- 
            Set compilation debug="true" to insert debugging 
            symbols into the compiled page. Because this 
            affects performance, set this value to true only 
            during development.
        -->
		<!-- El parámetro batch="false" parece prevenir un error frecuente
         [FileNotFoundException: Could not load file or assembly 'App_Web_********'] que 
         interrumpe el funcionamiento del Web Service WCF, aún estando en 
         producción -->
		<httpHandlers>
      <add type="PeterKellner.Utils.CaptchaTypeHandler" verb="GET" path="CaptchaType.ashx" />
			<add path="Reserved.ReportViewerWebControl.axd" verb="*" type="Microsoft.Reporting.WebForms.HttpHandler, Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" validate="false" />
		</httpHandlers>
		<compilation batch="false" targetFramework="4.0">
			<assemblies>
				<add assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" />
				<add assembly="Microsoft.ReportViewer.Common, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" />
				<add assembly="Microsoft.Build.Framework, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Management, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<!--<add assembly="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=692FBEA5521E1304"/>-->
				<add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" /></assemblies>
			<buildProviders>
				<add extension=".rdlc" type="Microsoft.Reporting.RdlBuildProvider, Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" />
			</buildProviders>
		</compilation>
		<!--
            The <authentication> section enables configuration 
            of the security authentication mode used by 
            ASP.NET to identify an incoming user. 
        -->
		<authentication mode="Windows" />
		<!--
            The <customErrors> section enables configuration 
            of what to do if/when an unhandled error occurs 
            during the execution of a request. Specifically, 
            it enables developers to configure html error pages 
            to be displayed in place of a error stack trace.

        <customErrors mode="RemoteOnly" defaultRedirect="GenericErrorPage.htm">
            <error statusCode="403" redirect="NoAccess.htm" />
            <error statusCode="404" redirect="FileNotFound.htm" />
        </customErrors>
        -->
		<pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID" />
	</system.web>
	<!-- 
        The system.webServer section is required for running ASP.NET AJAX under Internet
        Information Services 7.0.  It is not necessary for previous version of IIS.
    -->
	<system.serviceModel>
		<behaviors>
			<endpointBehaviors>
				<behavior name="Segu.MaestroAspNetAjaxBehavior">
					<enableWebScript />
				</behavior>
			</endpointBehaviors>
			<serviceBehaviors>
				<behavior name="DataServiceBehaviors">
					<serviceMetadata httpGetEnabled="true" />
					<serviceDebug includeExceptionDetailInFaults="true" />
				</behavior>
			</serviceBehaviors>
		</behaviors>
		<serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true" />
		<services>
			<service behaviorConfiguration="DataServiceBehaviors" name="Seven.Front.Maestro">
				<endpoint address="" behaviorConfiguration="Segu.MaestroAspNetAjaxBehavior" binding="webHttpBinding" contract="Seven.Front.Maestro" />
			</service>
		</services>
	</system.serviceModel>
	<system.webServer>
		<validation validateIntegratedModeConfiguration="false" />
		<handlers>
      <add name="CaptchaHandler" type="PeterKellner.Utils.CaptchaTypeHandler" verb="GET" path="CaptchaType.ashx" />
			<add name="ReportViewerWebControlHandler" preCondition="integratedMode" verb="*" path="Reserved.ReportViewerWebControl.axd" type="Microsoft.Reporting.WebForms.HttpHandler, Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" />
		</handlers>
    <!-- Habilitar consultas largas 02 -->
    <security>
      <requestFiltering>
        <requestLimits maxQueryString="2097151" />
      </requestFiltering>
    </security>
	</system.webServer>
</configuration>
